import { Component, ComponentClass, FunctionComponent } from 'react';
declare type ErrorType = string;
interface LoaderProps {
    isLoading: boolean;
    error: ErrorType;
}
interface ReactCodepenProps {
    defaultTab: string;
    hash: string;
    height: number;
    loader?: FunctionComponent<LoaderProps> | ComponentClass<LoaderProps> | string;
    preview: boolean;
    title?: string;
    themeId: string | number;
    user: string;
    version: number;
    shouldLoadScript: boolean;
    overrideAsLoaded?: boolean;
}
interface ReactCodepenState {
    loaded: boolean;
    loading: boolean;
    error?: ErrorType;
}
declare class ReactCodepen extends Component<ReactCodepenProps, ReactCodepenState> {
    private _mounted;
    private scriptTagBuilder;
    static defaultProps: {
        defaultTab: string;
        height: number;
        preview: boolean;
        themeId: string;
        version: number;
        shouldLoadScript: boolean;
    };
    state: {
        loaded: boolean;
        loading: boolean;
        error: any;
    };
    constructor(props: ReactCodepenProps, context: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    private isLoaded;
    private handleScriptLoad;
    private handleScriptError;
    private getContent;
}
export default ReactCodepen;
